Deleted Added
full compact
2c2
< # From configure.in Revision: 1.120 .
---
> # From configure.in Revision: 1.120.2.6 .
858c858
< --with-dag[=DIR] include Endace DAG support ("yes", "no" or DIR; default="yes" on BSD and Linux if present)
---
> --with-dag[=DIR] include Endace DAG support ("yes", "no" or DIR; default="yes" on BSD and Linux if present)
860a861
> --with-septel[=DIR] include Septel support (located in directory DIR, if supplied). default=yes, on Linux, if present
2636,2639d2636
< int
< main ()
< {
<
2648,2649c2645,2648
< ;
< return 0;
---
> int
> main(int argc, char **argv)
> {
> foo();
2650a2650
>
4418a4419
> #include <arpa/inet.h>
4461,4463d4461
< cat >>confdefs.h <<_ACEOF
< #define HAVE_DECL_ETHER_HOSTTON 1
< _ACEOF
4465,4466d4462
<
<
4472,4477d4467
< else
< cat >>confdefs.h <<_ACEOF
< #define HAVE_DECL_ETHER_HOSTTON 0
< _ACEOF
<
<
4480d4469
<
4691,4692c4680,4682
< cat >>confdefs.h <<_ACEOF
< #define HAVE_DECL_ETHER_HOSTTON 1
---
>
> cat >>confdefs.h <<\_ACEOF
> #define NETINET_ETHER_H_DECLARES_ETHER_HOSTTON
4695a4686
> fi
4697,4698c4688,4705
< cat >>confdefs.h <<\_ACEOF
< #define NETINET_ETHER_H_DECLARES_ETHER_HOSTTON
---
> fi
> fi
> #
> # Is ether_hostton() declared?
> #
> if test "$ac_cv_have_decl_ether_hostton" != yes; then
> #
> # No, we'll have to declare it ourselves.
> # Do we have "struct ether_addr"?
> #
> echo "$as_me:$LINENO: checking for struct ether_addr" >&5
> echo $ECHO_N "checking for struct ether_addr... $ECHO_C" >&6
> if test "${ac_cv_type_struct_ether_addr+set}" = set; then
> echo $ECHO_N "(cached) $ECHO_C" >&6
> else
> cat >conftest.$ac_ext <<_ACEOF
> #line $LINENO "configure"
> /* confdefs.h. */
4699a4707,4709
> cat confdefs.h >>conftest.$ac_ext
> cat >>conftest.$ac_ext <<_ACEOF
> /* end confdefs.h. */
4700a4711,4718
> #include <sys/types.h>
> #include <sys/socket.h>
> #include <netinet/in.h>
> #include <arpa/inet.h>
> struct mbuf;
> struct rtentry;
> #include <net/if.h>
> #include <netinet/if_ether.h>
4701a4720,4744
>
> int
> main ()
> {
> if ((struct ether_addr *) 0)
> return 0;
> if (sizeof (struct ether_addr))
> return 0;
> ;
> return 0;
> }
> _ACEOF
> rm -f conftest.$ac_objext
> if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
> (eval $ac_compile) 2>&5
> ac_status=$?
> echo "$as_me:$LINENO: \$? = $ac_status" >&5
> (exit $ac_status); } &&
> { ac_try='test -s conftest.$ac_objext'
> { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
> (eval $ac_try) 2>&5
> ac_status=$?
> echo "$as_me:$LINENO: \$? = $ac_status" >&5
> (exit $ac_status); }; }; then
> ac_cv_type_struct_ether_addr=yes
4703,4704c4746,4758
< cat >>confdefs.h <<_ACEOF
< #define HAVE_DECL_ETHER_HOSTTON 0
---
> echo "$as_me: failed program was:" >&5
> sed 's/^/| /' conftest.$ac_ext >&5
>
> ac_cv_type_struct_ether_addr=no
> fi
> rm -f conftest.$ac_objext conftest.$ac_ext
> fi
> echo "$as_me:$LINENO: result: $ac_cv_type_struct_ether_addr" >&5
> echo "${ECHO_T}$ac_cv_type_struct_ether_addr" >&6
> if test $ac_cv_type_struct_ether_addr = yes; then
>
> cat >>confdefs.h <<_ACEOF
> #define HAVE_STRUCT_ETHER_ADDR 1
4711c4765,4774
< fi
---
> cat >>confdefs.h <<\_ACEOF
> #define HAVE_DECL_ETHER_HOSTTON 0
> _ACEOF
>
> else
>
> cat >>confdefs.h <<\_ACEOF
> #define HAVE_DECL_ETHER_HOSTTON 1
> _ACEOF
>
5435a5499,5502
> septel)
> V_DEFS="$V_DEFS -DSEPTEL_ONLY"
> ;;
>
5516,5517c5583,5584
< # We support the DAG API on Linux or BSD, or if we're building a
< # DAG-only libpcap.
---
> # We support the DAG API if we're on Linux or BSD, or if we're
> # building a DAG-only libpcap.
5543c5610
< # If necessary, set default paths for DAG API headers and libraries.
---
> # If necessary, set default paths for DAG API headers and libraries.
5563c5630
< echo "$as_me:$LINENO: result: $ac_cv_lbl_dag_api ($dag_include_dir)" >&5
---
> echo "$as_me:$LINENO: result: $ac_cv_lbl_dag_api ($dag_include_dir)" >&5
5573,5574c5640
<
< # 2.4.x.
---
> # 2.4.x.
5576d5641
<
5578,5584c5643,5646
<
< # 2.5.x.
< dagapi_obj=$dag_lib_dir/dagapi.o
<
< elif test -r $dag_lib_dir/libdag.a; then
<
< # 2.5.x.
---
> # 2.5.x.
> dagapi_obj=$dag_lib_dir/dagapi.o
> elif test -r $dag_lib_dir/libdag.a; then
> # 2.5.x.
5589c5651
< fi
---
> fi
5592c5654
< echo "$as_me:$LINENO: result: no (checked $dag_lib_dir $dag_tools_dir $dag_lib_dir/libdag.a)" >&5
---
> echo "$as_me:$LINENO: result: no (checked $dag_lib_dir $dag_tools_dir $dag_lib_dir/libdag.a)" >&5
5598c5660
< fi
---
> fi
5607,5608c5669
<
< # 2.4.x.
---
> # 2.4.x.
5610d5670
<
5612,5618c5672,5675
<
< # 2.5.x.
< dagopts_obj=$dag_lib_dir/dagopts.o
<
< elif test -r $dag_lib_dir/libdag.a; then
<
< # 2.5.x.
---
> # 2.5.x.
> dagopts_obj=$dag_lib_dir/dagopts.o
> elif test -r $dag_lib_dir/libdag.a; then
> # 2.5.x.
5621a5679
> fi
5623d5680
< fi
5626c5683
< echo "$as_me:$LINENO: result: no (checked $dag_lib_dir $dag_tools_dir $dag_lib_dir/libdag.a)" >&5
---
> echo "$as_me:$LINENO: result: no (checked $dag_lib_dir $dag_tools_dir $dag_lib_dir/libdag.a)" >&5
5636d5692
<
5639,5640c5695
<
< echo "$as_me:$LINENO: checking dagreg.o" >&5
---
> echo "$as_me:$LINENO: checking dagreg.o" >&5
5642,5650c5697,5702
< dagreg_obj=no
< if test -r $dag_lib_dir/dagreg.o; then
<
< # Object file is ready and waiting.
< dagreg_obj=$dag_lib_dir/dagreg.o
<
< elif test -r $dag_lib_dir/libdag.a; then
<
< # Extract from libdag.a.
---
> dagreg_obj=no
> if test -r $dag_lib_dir/dagreg.o; then
> # Object file is ready and waiting.
> dagreg_obj=$dag_lib_dir/dagreg.o
> elif test -r $dag_lib_dir/libdag.a; then
> # Extract from libdag.a.
5653c5705,5706
< dagreg_obj=./dagreg.o
---
> dagreg_obj=./dagreg.o
> fi
5655d5707
< fi
5658c5710
< echo "$as_me:$LINENO: result: no (checked $dag_lib_dir $dag_lib_dir/libdag.a)" >&5
---
> echo "$as_me:$LINENO: result: no (checked $dag_lib_dir $dag_lib_dir/libdag.a)" >&5
5661c5713
< else
---
> else
5669d5720
<
5677c5728,5729
< # Don't need to save and restore LIBS to prevent -ldag being included if there's a found-action (arg 3).
---
> # Don't need to save and restore LIBS to prevent -ldag being
> # included if there's a found-action (arg 3).
5748c5800
< echo "$as_me:$LINENO: result: $dag_version" >&5
---
> echo "$as_me:$LINENO: result: $dag_version" >&5
5759c5811
< # User wanted DAG support but we couldn't find it.
---
> # User wanted DAG support but we couldn't find it.
5765,5767c5817,5820
< if test "$V_PCAP" = dag; then
< # User requested "dag" capture type but the DAG API wasn't found.
< { { echo "$as_me:$LINENO: error: Specifying the capture type as \"dag\" requires the DAG API to be present; use the --with-dag options to specify the location. (Try \"./configure --help\" for more information.)" >&5
---
> if test "$V_PCAP" = dag; then
> # User requested "dag" capture type but the DAG API wasn't
> # found.
> { { echo "$as_me:$LINENO: error: Specifying the capture type as \"dag\" requires the DAG API to be present; use the --with-dag options to specify the location. (Try \"./configure --help\" for more information.)" >&5
5770c5823
< fi
---
> fi
5773a5827,5829
> # Check whether --with-septel or --without-septel was given.
> if test "${with_septel+set}" = set; then
> withval="$with_septel"
5774a5831,5927
> if test "$withval" = no
> then
> want_septel=no
> elif test "$withval" = yes
> then
> want_septel=yes
> septel_root=
> else
> want_septel=yes
> septel_root=$withval
> fi
>
> else
>
> #
> # Use Septel API if present, otherwise don't
> #
> want_septel=ifpresent
> septel_root=./../septel
>
> fi;
> ac_cv_lbl_septel_api=no
> case "$V_PCAP" in
> linux|septel)
> #
> # We support the Septel API if we're on Linux, or if we're building
> # a Septel-only libpcap.
> #
> ;;
> *)
> #
> # If the user explicitly requested Septel, tell them it's not
> # supported.
> #
> # If they expressed no preference, don't include it.
> #
> if test $want_septel = yes; then
> { { echo "$as_me:$LINENO: error: Septel support only available with 'linux' and 'septel' packet capture types" >&5
> echo "$as_me: error: Septel support only available with 'linux' and 'septel' packet capture types" >&2;}
> { (exit 1); exit 1; }; }
> elif test $want_septel = yes; then
> want_septel=no
> fi
> ;;
> esac
>
> if test "$with_septel" != no; then
> echo "$as_me:$LINENO: checking whether we have Septel API" >&5
> echo $ECHO_N "checking whether we have Septel API... $ECHO_C" >&6
>
> if test -z "$septel_root"; then
> septel_root=$srcdir/../septel
>
> fi
>
> septel_tools_dir="$septel_root"
> septel_include_dir="$septel_root/INC"
> DEF="-DHAVE_SEPTEL_API"
>
> ac_cv_lbl_septel_api=no
> if test -r "$septel_include_dir/msg.h"; then
> V_INCLS="$V_INCLS -I$septel_include_dir"
> V_DEFS="$V_DEFS $DEF"
> V_LIBS="$V_LIBS $septel_tools_dir/asciibin.o $septel_tools_dir/bit2byte.o $septel_tools_dir/confirm.o $septel_tools_dir/fmtmsg.o $septel_tools_dir/gct_unix.o $septel_tools_dir/hqueue.o $septel_tools_dir/ident.o $septel_tools_dir/mem.o $septel_tools_dir/pack.o $septel_tools_dir/parse.o $septel_tools_dir/pool.o $septel_tools_dir/sdlsig.o $septel_tools_dir/strtonum.o $septel_tools_dir/timer.o $septel_tools_dir/trace.o "
>
> if test "$V_PCAP" != septel ; then
> SSRC="pcap-septel.c"
>
> fi
> ac_cv_lbl_septel_api=yes
> fi
>
> echo "$as_me:$LINENO: result: $ac_cv_lbl_septel_api" >&5
> echo "${ECHO_T}$ac_cv_lbl_septel_api" >&6
> if test $ac_cv_lbl_septel_api = no; then
> if test "$want_septel" = yes; then
> { { echo "$as_me:$LINENO: error: Septel API not found under directory $septel_root; use --without-septel" >&5
> echo "$as_me: error: Septel API not found under directory $septel_root; use --without-septel" >&2;}
> { (exit 1); exit 1; }; }
> fi
> else
>
> cat >>confdefs.h <<\_ACEOF
> #define HAVE_SEPTEL_API 1
> _ACEOF
>
> fi
> fi
>
> if test "$V_PCAP" = septel -a "$ac_cv_lbl_septel_api" = no; then
> { { echo "$as_me:$LINENO: error: Specifying the capture type as 'septel' requires the Septel API to be present; use --with-septel=DIR" >&5
> echo "$as_me: error: Specifying the capture type as 'septel' requires the Septel API to be present; use --with-septel=DIR" >&2;}
> { (exit 1); exit 1; }; }
> fi
>
>
>
5969c6122
< #define HAVE_HPUX10_20 1
---
> #define HAVE_HPUX10_20_OR_LATER 1